OpenNMS API 1.2.9

## org.opennms.netmgt.scriptd.helper
Class SnmpTrapHelperException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.netmgt.scriptd.helper.SnmpTrapHelperException

All Implemented Interfaces:
  java.io.Serializable

public class SnmpTrapHelperException
extends java.lang.Exception

This class describes an exception associated with the SnmpTrapHelper class. If the described exception was caused by some other exception (e.g. an exception associated with the JoeSNMP library), that exception will be included as the "cause". The getMessage and printStackTrace methods are overridden, in order to describe the "cause" exception, where present.

Author:
  Jim Doble , OpenNMS.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SnmpTrapHelperException(java.lang.String message)` Construct an SnmpTrapHelperException with the specified message.
`SnmpTrapHelperException(java.lang.String message, java.lang.Throwable cause)` Construct an SnmpTrapHelperException with the specified message and cause.

Method Summary
`java.lang.String` `getMessage()` Get the message associated with this exception.
`void` `printStackTrace()` Print the stack trace associated with this exception to System.err.
`void` `printStackTrace(java.io.PrintStream ps)` Print the stack trace associated with this exception to the specified print stream.
`void` `printStackTrace(java.io.PrintWriter pw)` Print the stack trace associated with this exception to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SnmpTrapHelperException

    public SnmpTrapHelperException(java.lang.String message)

  Construct an SnmpTrapHelperException with the specified message.

Parameters:
  `message` - The message to be associated with the exception.

### SnmpTrapHelperException

    public SnmpTrapHelperException(java.lang.String message,
                                   java.lang.Throwable cause)

  Construct an SnmpTrapHelperException with the specified message and cause.

Parameters:
  `message` - The message to be associated with the exception.
  `cause` - The cause exception to be associated with the exception.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get the message associated with this exception. If this exception has an associated cause exception, the message associated with the cause exception is appended.

  Returns:
    The message associated with this exception.

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Print the stack trace associated with this exception to the specified print stream. If this exception has an associated cause exception, the stack trace associated with the cause exception is printed.

  Parameters:
    `ps` - The print steam to which the stack trace should be printed.

### printStackTrace

    public void printStackTrace()

  Print the stack trace associated with this exception to System.err. If this exception has an associated cause exception, the stack trace associated with the cause exception is printed.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Print the stack trace associated with this exception to the specified print writer. If this exception has an associated cause exception, the stack trace associated with the cause exception is printed.

  Parameters:
    `pw` - The print writer to which the stack trace should be printed.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.